org.eclipse.ecf.provider.dnssd

## Class Activator.DnsSdServiceFactory

- java.lang.Object
- - org.eclipse.ecf.provider.dnssd.Activator.DnsSdServiceFactory

All Implemented Interfaces:
  ServiceFactory

Enclosing class:
  Activator

    public class Activator.DnsSdServiceFactory
    extends Object
    implements ServiceFactory

A ServiceFactory capable to handle DnsSdDiscoveryContainerAdapters

### Constructor Summary

Constructors
Constructor and Description
`DnsSdServiceFactory(Class aDiscoveryContainerClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getService(Bundle bundle, ServiceRegistration registration)`
`void` `ungetService(Bundle bundle, ServiceRegistration registration, Object service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DnsSdServiceFactory

    public DnsSdServiceFactory(Class aDiscoveryContainerClass)

### Method Detail

#### getService

    public Object getService(Bundle bundle,
                             ServiceRegistration registration)

Specified by:
  `getService` in interface `ServiceFactory`

#### ungetService

    public void ungetService(Bundle bundle,
                             ServiceRegistration registration,
                             Object service)

Specified by:
  `ungetService` in interface `ServiceFactory`